make.packages.html {utils} | R Documentation

## Update HTML Documentation Files

### Description

Functions to link and (optionally) re-create the HTML documentation files to reflect all installed packages.

### Usage

    make.packages.html(lib.loc = .libPaths(), packages = TRUE)

### Arguments

`lib.loc` | character vector. List of libraries to be included.
`packages` | logical: should be package indices be create.

### Details

This sets up the links from packages in libraries to the ‘.R’ subdirectory of the per-session directory (see `tempdir`) and optionally creates the ‘packages.html’ and ‘index.txt’ files to point to those links. The slow part is creating those files (as all the package ‘DESCRIPTION’ files are read).

If a package is available in more than one library tree, all the copies are linked, after the first with suffix `.1` etc.

### Value

Invisible logical, indicating if the files were created.

### See Also

`help.start`

### Examples

    ## Not run:
    # to prefer HTML help, put in your .Rprofile
    options(htmlhelp=TRUE)
    make.packages.html(packages=FALSE)
    # this can be slow for large numbers of installed packages.
    ## End(Not run)

[Package utils version 2.7.1 Index]